﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <!--

    Идентичность - требует совпадения типа и значения переменной, 
    когда для равенства достаточно только совпадающих значений.

    Оператор идентичности "===" предназначен для проверки значений двух переменных на идентичность, 
    при этом необходимо помнить о следующих правилах:
        
        1. если значения имеют разные типы они не идентичны.
        2. если значения являются числами имеют одинаковые значения и не являются значения NaN - они идентичны.
        3. если две строки имеют одинаковую длину и содержат одни и те же символы - они идентичны.
        4. два одинаковых логических значения идентичны.

-->

<script>

    var a = 1;                  // простое число
    var b = "1";                // число как строка
    var c = "some";             // строка            
    var d = 'some';             // строка
    var e = true;               // логическое "истина"
    var f = 1;
    var g = true;
    var res;

    res = a == b; // 
    document.write("a равно b : " + res + "<br />");
    res = a === b;// 
    document.write("a идентично b :" + res + "<br />");

    document.write("<hr/>");

    res = a == f;// 
    document.write("a равно f :" + res + "<br />");
    res = a === f;// 
    document.write("a идентично f :" + res + "<br />");

    document.write("<hr/>");

    res = c == d;// 
    document.write("c равно d :" + res + "<br />");
    res = c === d;// 
    document.write("c идентично d :" + res + "<br />");

    document.write("<hr/>");

    res = f == g;// 
    document.write("f равно g :" + res + "<br />");
    res = f === g;// 
    document.write("f идентично g :" + res + "<br />");

</script>
</body>
</html>


